<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    use HasFactory;
    protected $fillable = [
        'address',
        'total_price',
        'total_count',
        'city',
        'shipping',
        'country',
        'status',
    ];

    public function getStatus()
    {
        return __('admin.' . $this->status);
    }
}
