<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProductImage extends Model
{
    use HasFactory;

    protected $fillable = ['path', 'product_id'];

    public function Product()
    {
        return $this->belongsTo(Product::class, 'product_id');
    }

    public function getPathImage()
    {
        if (strpos($this->path, "http") != '')
            return $this->path;
        else
            return url('public/storage/' . $this->path);
    }
}
