<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;

use App\Models\Category;
use Illuminate\Database\Seeder;
use Database\Seeders\RoleSeeder;
use Database\Seeders\PermissionSeeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        \App\Models\User::factory(20)->create();
        \App\Models\Team::factory(6)->create();
        \App\Models\Slider::factory(3)->create();
        \App\Models\Category::factory(5)->create();
        \App\Models\Course::factory(15)->create();
        \App\Models\Guallery::factory(12)->create();
        \App\Models\Product::factory(20)->create();

        // \App\Models\User::factory()->create([
        //     'name' => 'Test User',
        //     'email' => 'test@example.com',
        // ]);

        // $this->call(CategorySeeder::class);
        // $this->call(CourseSeeder::class);
        \App\Models\TutorCourse::factory(6)->create();
        \App\Models\StudentCourse::factory(7)->create();
        $this->call(PermissionSeeder::class);
        $this->call(RoleSeeder::class);
        $this->call(SettingSeeder::class);
    }
}
