<?php
return [
    'Log Out' => 'تسجيل الخروج',
    'Hello' => 'مرحبا',
    'Profile' => 'الملف الشخصي',
    'login' => 'تسجيل الدخول',
    'forget password' => 'نسيان كلمة المرور',
    'register' => 'حساب جديد',
    'Send Password Reset Link' => 'ارسال رابط اعادة تعيين',
    'Reset Password' => 'اعادة تعيين كلمة المرور',
    'Please confirm your password before continuing.' => 'يرجى تأكيد كلمة المرور الخاصة بك قبل المتابعة.',
    'If you did not receive the email' => 'إذا لم تستلم البريد الإلكتروني',
    'Before proceeding, please check your email for a verification link.' => 'قبل المتابعة ، يرجى التحقق من بريدك الإلكتروني للحصول على رابط التحقق.',
    'A fresh verification link has been sent to your email address.' => 'تم إرسال رابط تحقق جديد إلى عنوان بريدك الإلكتروني.',
    'Verify Your Email Address' => 'تحقق من عنوان بريدك الإلكتروني',
    'Forgot Your Password?' => 'هل نسيت كلمة المرور؟',
    'are u sure' => 'هل أنت متأكد؟',
    'no' => 'لا',
    'yes' => 'نعم',
    'cancel delete' => 'تم إلغاء الحذف ',
    'cancelled' => 'تم الإلغاء :)',
    'Cancel' => 'الغاء',
    'Save' => 'حفظ',
    'login' => 'تسجيل الدخول',
    'E-Mail Address' => 'البريد الالكتروني',
    'Password' => 'كلمة المرور',
    'Confirm Password' => 'اعادة كلمة المرور',
    'Forgot Your Password?' => 'هل نسيت كلمة المرور؟',
    'Remember Me' => 'تذكرني',


    'Uncheck All' => 'الغاء التحديد',
    'Check All' => 'تحديد الكل',
    'Edit' => 'تعديل',
    'Delete' => 'حذف',

    // sidebar
    'Dashboard' => 'الصفحة الرئيسية',
    'permissions' => 'الصلاحيات',
    'users' => 'المستخدمين',
    'courses' => 'الدروس',
    'report' => 'التقارير',
    'Setting' => 'الاعدادات',
    'roles' => 'الأدوار',

    // message
    'somthing wrong' => 'حدث خطأ ما!',
    'this user not found' => 'هذا المستخدم غير موجود',
    'Has deleted successfully' => 'تم الحذف بنجاح',
    'Has updated successfully' => 'تم التحديث بنجاح',
    'Has created successfully' => 'تم الانشاء بنجاح',
    'error_message' => 'يوجد خطأ ما',
    'are u sure to delete item?' => 'هل أنت متأكد من حذف هذا العنصر',
    'upload file error' => 'يوجد مشكلة برفع الملف',
    'faild' => 'فشلت العملية',
    'Has updated your image successfully' => 'تم تحديث صورتك الشخصية',
    'this user dose not exist' => 'الرجاء تسجيل الدخول',
    'cant delete courses because have tutors' => 'لا يمكنك حذف هذه الدورة لانها تحتوي على مدرسين ',
    'cant delete courses because have students' => 'لا يمكنك حذف هذه الدورة لانها تحتوي على طلاب ',

    // dashboard
    'count_student_in_course' => 'احصائية عدد الطلاب خلال السنة للدورة',
    'count_users' => 'عدد مستخدمي النظام',
    'count_student' => 'عدد الطلاب',
    'count_tutor' => 'عدد المدرسين',
    'count_products' => 'عدد المنتجات',
    'count_orders' => 'عدد الطلبات',
    // role
    'role Name' => 'اسم الدور',
    'Add role' => 'اضافة دور',
    'role-edit' => 'تعديل دور',

    // user
    'New user' => 'اضاقة مستخدم',
    'users' => 'المستخدمين',
    'user name' => 'اسم المستخدم',
    'email' => 'البريد الالكتروني',
    'user-create' => 'اضافة مستخدم',
    'user-edit' => 'تعديل مستخدم',
    'username' => 'اسم المستحدم',

    // category
    'categories' => 'التصنيفات',
    'category name en' => 'اسم التصنيف (en)',
    'category name ar' => 'اسم التصنيف (ar)',
    'active' => 'مفعل',
    'category-create' => 'انشاء تصنيف',
    'category-edit' => 'تعديل تصنيف',
    'there is children' => 'يوجد للتصنيف أبناء لا يمكن الحذف',
    'cant delete category because have course' => 'لا يمكنك حذف هذا التصنيف لانه يوجد دورات تابعة له',

    // course
    'courses' => 'الدورات',
    'course-create' => 'انشاء دورة',
    'course-edit' => 'تعديل دورة',
    'start_date' => 'تاريخ بداية الكورس',
    'end_date' => 'تاريخ الانتهاء',
    'price' => 'السعر',
    'show' => 'عرض',
    'status' => 'الحالة',
    'close' => 'إغلاق',
    'open' => 'فتح',
    'course name ar' => 'اسم الدورة (عربي)',
    'course name en' => 'اسم الدورة (انكليزي)',
    'course name' => 'اسم الدورة',
    'category' => 'التصنيف',
    'tutors' => 'المعلمين',
    'tutors for this course' => 'المعلمين لهذه الدورة',
    // 'tutors for this course :course', 'المعلمين لهذه الدورة',
    'tutors_for_this_course' => 'المعلمين لدورة',

    // tutor
    'tutor name' => 'اسم المعلم',

    // sliders
    'sliders' => 'الشرائح',
    'title' => 'العنوان',
    'content' => 'المحتوى',
    'slider-create' => 'انشاء شريحة',
    'slider-edit' => 'تعديل شريحة',

    // gualleries
    'gualleries' => 'المعرض',
    'guallery-create' => 'انشاء صور',

    // teams
    'teams' => 'فريقنا',
    'desc' => 'الوصف',
    'name' => 'الاسم',
    'team-create' => 'انشاء عضو في فريق',
    'team-edit' => 'تعديل عضو في فريق',

    // student
    'students' => 'الطلاب',
    'student-create' => 'انشاء طالب',
    'student-edit' => 'تعديل طالب',
    'by admin' => 'بواسطة مدير النظام',
    'by register' => 'بواسطة صفحة تسجيل طالب',
    'first_name' => 'الاسم',
    'last_name' => 'اسم العائلة',
    'country' => 'البلد',
    'city' => 'المدينة',
    'address' => 'العنوان',
    'phone' => 'الجوال',
    'way register' => 'طريقة التسجيل',
    'courses_for_this_students' => 'الدورات المقدمة للطالب ',
    'courses_students' => 'دورات الطالب',

    // tutor
    'tutors' => 'المعلمين',
    'tutor-create' => 'انشاء معلم',
    'tutor-edit' => 'تعديل معلم',
    'courses_for_this_tutors' => 'الدورات المقدمة للمعلم ',
    'courses_tutors' => 'دورات المعلم',

    // product
    'products' => 'المنتجات',
    'product-create' => 'انشاء منتج',
    'product-edit' => 'تعديل منتج',
    'product name' => 'اسم المنتج',
    'product name ar' => 'اسم المنتج (عربي)',
    'product name en' => 'اسم المنتج (انكليزي)',
    'desc ar' => 'الوصف (عربي)',
    'desc en' => 'الوصف (انكليزي)',
    'main image' => 'الصورة الرئيسية',
    'other image' => 'صور أخرى',
    'delete_all_images' => 'مسح كل الصور',
    'Drop Files Here To Upload' => 'انقر للاضافة',
    'you cant upload image befor create product' => 'لا يمكنك انشاء صورة قبل انشاء منتج ',

    // order
    'orders' => 'الطلبات',
    'total_price' => 'السعر الكلي',
    'total_count' => 'العدد الكلي',
    'shipping' => 'قيد الشحن',
    'delivery' => 'تم التسليم',
    'pending' => 'بالانتظار',
    'details' => 'التفاصيل',
    'quantity' => 'الكمية',
    'product' => 'المنتج',

    // general
    'image' => 'الصورة',
    'New' => 'اضافة جديد',
    'Actions' => 'التحكم',
    'warning' => 'تحذير',
    'error' => 'خطأ',
    'success' => 'نجاح',
    'change it' => 'تم تغييره',
    'canceld change' => 'تم الغاء التبديل',
    'canceled' => 'تم الإلغاء',
    'canceld delete' => 'تم الغاء عملية الحذف',
    'Edit' => 'تعديل',
    'Done' => 'تم!',
    'Delete' => 'حذف',
    'Add' => 'اضافة',
    'arabic' => 'عربي',
    'english' => 'انكليزي',
    'no data' => 'لا يوجد بيانات',
    'Item not exist' => 'هذا العنصر غير موجود',
    'Procee Canceled' => 'تم الغاء العملية',
    'cancel change' => 'الغاء العملية',
    'Are u sure' => 'هل أنت متأكد؟',
    'cancel delete' => 'الغاء الحذف',

];
