<x-guest-layout>

    <x-slot name="title">{{__('site.forget password')}}</x-slot>
    <x-auth-session-status class="mb-4" :status="session('status')" />

    <div class="login-register section-padding">
        <div class="container">
            <div class="row ">
                <div class="mx-auto col-lg-7 col-12">
                    <div class="customer-login-register">
                        <div class="login-form">
                            <div class="form-login-title">
                                <h2>{{__('site.forget password')}}</h2>
                                <p class="mb-4 text-gray">
                                    {{ __('site.note forget password') }}
                                </p>
                            </div>
                            <form method="POST" action="{{ route('password.email') }}">
                                @csrf

                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.Email Address')}}<span
                                                class="required">*</span></label></p>
                                    <input class="text-lang" name="email" value="{{old('email')}}" type="email">
                                    <x-input-error :messages="$errors->get('email')" class="mt-2" />
                                </div>

                                <div class="login-submit">
                                    <button type="submit" class="button-default">{{__('site.Email Password Reset
                                        Link')}}</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Session Status -->
    {{--
    <x-auth-session-status class="mb-4" :status="session('status')" />

    <form method="POST" action="{{ route('password.email') }}">
        @csrf

        <div>
            <x-input-label for="email" :value="__('Email')" />
            <x-text-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')" required
                autofocus />
            <x-input-error :messages="$errors->get('email')" class="mt-2" />
        </div>

        <div class="flex items-center justify-end mt-4">
            <x-primary-button>
                {{ __('Email Password Reset Link') }}
            </x-primary-button>
        </div>
    </form> --}}
</x-guest-layout>