<x-guest-layout>
    <x-slot name="title">{{__('site.Reset Password')}}</x-slot>
    <div class="login-register section-padding">
        <div class="container">
            <div class="row ">
                <div class="mx-auto col-lg-7 col-12">
                    <div class="customer-login-register">
                        <div class="login-form">
                            <div class="form-login-title">
                                <h2>{{__('site.Register')}}</h2>
                            </div>

                            <form method="POST" action="{{ route('password.store') }}">
                                @csrf

                                <!-- Password Reset Token -->
                                <input type="hidden" name="token" value="{{ $request->route('token') }}">

                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.Email Address')}}<span
                                                class="required">*</span></label></p>
                                    <input class="text-lang" name="email" value="{{old('email', $request->email)}}"
                                        type="email">
                                    <x-input-error :messages="$errors->get('email')" class="mt-2" />
                                </div>

                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.Password')}} <span
                                                class="required">*</span></label></p>
                                    <input autocomplete="new-password" name="password" value="" type="password">
                                    <x-input-error :messages="$errors->get('password')" class="mt-2" />
                                </div>
                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.Confirm Password')}} <span
                                                class="required">*</span></label>
                                    </p>
                                    <input class="text-lang" name="password_confirmation" value=""
                                        type="password_confirmation">
                                    <x-input-error :messages="$errors->get('password_confirmation')" class="mt-2" />
                                </div>
                                <div class="login-submit">
                                    <button type="submit" class="button-default">{{__('site.Reset Password')}}</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {{-- <form method="POST" action="{{ route('password.store') }}">
        @csrf

        <input type="hidden" name="token" value="{{ $request->route('token') }}">

        <div>
            <x-input-label for="email" :value="__('Email')" />
            <x-text-input id="email" class="block mt-1 w-full" type="email" name="email"
                :value="old('email', $request->email)" required autofocus />
            <x-input-error :messages="$errors->get('email')" class="mt-2" />
        </div>

        <div class="mt-4">
            <x-input-label for="password" :value="__('admin.Password')" />
            <x-text-input id="password" class="block mt-1 w-full" type="password" name="password" required />
            <x-input-error :messages="$errors->get('password')" class="mt-2" />
        </div>

        <div class="mt-4">
            <x-input-label for="password_confirmation" :value="__('Confirm Password')" />

            <x-text-input id="password_confirmation" class="block mt-1 w-full" type="password"
                name="password_confirmation" required />

            <x-input-error :messages="$errors->get('password_confirmation')" class="mt-2" />
        </div>

        <div class="flex items-center justify-end mt-4">
            <x-primary-button>
                {{ __('Reset Password') }}
            </x-primary-button>
        </div>
    </form> --}}
</x-guest-layout>