@props(['messages','type' => 'array'])

@if ($type == 'array')

@if ($messages)
<span {{ $attributes->merge(['class' => 'invalid-feedback']) }}>
    @foreach ((array) $messages as $message)
    <span role="alert">{{ $message }}</span>
    @endforeach
</span>
@endif

@else

@if ($messages)
@error($messages)
<span>
    <span class="text-danger">{{ $message }}</span>
</span>
@enderror
@endif
@endif