@props([
'title',
'footer'=>'',
'maxWidth' => ''
])

<div class="modal fade text-left {{$maxWidth}}" id="onshow" tabindex="-1" role="dialog" aria-labelledby="myModalLabel21"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="myModalLabel21">
                    {{$title}}
                </h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                {{$body}}
            </div>
            <div class="modal-footer">
                @if($footer)
                {{ $footer }}
                @endif
                {{-- <button type="button" class="btn grey btn-outline-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-outline-primary">Save changes</button> --}}
            </div>
        </div>
    </div>
</div>
