<!--Header Area Start-->
<header>
    <?php $categories =
                                App\Models\Category::whereParentId(null)->whereStatus('active')->get(); ?>
    <div class="header-top">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-md-5 d-none d-lg-block d-md-block">
                    <span>{{__('site.Have any question')}} ?
                        {{App\Models\Setting::where('name','phone')->value('value')}}</span>
                </div>
                <div class="col-lg-5 col-md-7 col-12">
                    <div class="header-top-right">
                        @if (Auth::user())
                        {{-- <div class="content"><a href="{{route('profile.edit')}}"><i class="zmdi zmdi-account"></i>
                                {{__('site.My Account')}}
                            </a></div> --}}

                        <div class="content"><a href="#"><i class="zmdi zmdi-account"></i>
                                {{__('site.My Account')}}
                            </a>
                            <ul class="account-dropdown">
                                <li><a href="{{route('profile.edit')}}"> {{__('site.profile')}}</a></li>
                                <li><a href="{{route('profile.course')}}"> {{__('site.my_course')}}</a></li>
                            </ul>
                        </div>
                        <div class="content">
                            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="">
                                @csrf
                                {{-- <div class="dropdown-divider"></div><a class="dropdown-item"
                                    href="{{ route('admin.logout') }}" id="logout_session" onclick="event.preventDefault();
                                this.closest('form').submit();"><i class="ft-power"></i> {{ __('admin.Log Out')
                                    }}</a> --}}

                                <a href="{{ route('logout') }}" onclick="event.preventDefault();
                            this.closest('form').submit();"><i class="fa fa-sign-out"></i> {{__('site.logout')}} </a>
                            </form>
                        </div>
                        @else
                        <div class="content"><a href="{{route('login')}}"><i class="zmdi zmdi-account"></i>
                                {{__('site.Login')}} </a>
                        </div>
                        <div class="content"><a href="{{route('register')}}"><i class="zmdi zmdi-account"></i>
                                {{__('site.Rregister')}} </a>
                        </div>
                        @endif
                        {{-- <div class="content"><a href="#"><i class="zmdi zmdi-account"></i>
                                {{__('site.'.Session::get('locale'))}}
                            </a>
                            <ul class="account-dropdown">
                                <li><a href="{{route('changelang','en')}}"> {{__('site.en')}}</a></li>
                                <li><a href="{{route('changelang','ar')}}"> {{__('site.ar')}}</a></li>
                            </ul>
                        </div> --}}
                        {{-- <div class="content"><a href="#"><i class="zmdi zmdi-favorite"></i> Wishlist</a></div> --}}
                        <div class="content"><a class="position-relative" href="{{route('site.cart')}}">
                                @if (Auth::user())
                                @php
                                // $total = App\Models\Cart::where('user_id',Auth::user()->id)->value('total_count')
                                @endphp
                                {{-- @if ($total > 0) --}}
                                <span id="count_cart" class="count"></span>
                                {{-- @endif --}}
                                @endif
                                <i class="zmdi zmdi-shopping-basket"></i> {{__('site.cart')}}
                            </a></div>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="header-logo-menu sticker">
        <div class="container">
            <div class="row">
                <div class="col-lg-3 col-12">
                    <div class="logo">
                        <a href="{{route('site.home')}}"><img width="118" src="{{asset('/site/img/logo/logo.jpg')}}"
                                alt="EDUCAT"></a>
                    </div>
                </div>
                <div class="col-lg-9 col-12">
                    <div class="mainmenu-area pull-right">
                        <div class="mainmenu d-none d-lg-block">
                            <nav>
                                <ul id="nav">
                                    <li><a href="{{route('site.home')}}">{{__('site.home')}}</a></li>

                                    <li><a href="#">{{__('site.categories')}}</a>
                                        <ul class="sub-menu">
                                            @foreach ($categories as $item)

                                            <li><a
                                                    href="{{route('site.courses-by-category',$item->slug)}}">{{$item->name}}</a>
                                            </li>
                                            @endforeach
                                        </ul>
                                    </li>

                                    {{-- @endisset --}}
                                    <li><a href="{{route('site.gualleries')}}">{{__('site.gualleries')}}</a></li>
                                    <li><a href="{{route('site.get-contact')}}">{{__('site.Contact')}}</a></li>
                                    <li><a href="{{route('site.store')}}">{{__('site.store')}}</a></li>
                                    <li><a href="#"><i class="fa fa-globe mx-1"></i>
                                            {{__('site.'.Session::get('locale'))}}
                                        </a>
                                        <ul class="sub-menu">
                                            <li><a href="{{route('changelang','en')}}"> {{__('site.en')}}</a></li>
                                            <li><a href="{{route('changelang','ar')}}"> {{__('site.ar')}}</a></li>
                                        </ul>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                        {{-- <ul class="header-search">
                            <li class="search-menu">
                                <i id="toggle-search" class="zmdi zmdi-search-for"></i>
                            </li>
                        </ul>
                        <div class="search">
                            <div class="search-form mainmenu">
                                <form id="search-form" action="#">
                                    <input type="search" id="search" placeholder="Search here..." name="search" />
                                    <button type="submit">
                                        <span><i class="fa fa-search"></i></span>
                                    </button>
                                </form>
                                <ul class="sub-menu-choose">
                                    <li><a href="{{route('changelang','en')}}"> {{__('site.en')}}</a></li>
                                    <li><a href="{{route('changelang','ar')}}"> {{__('site.ar')}}</a></li>
                                </ul>
                            </div>
                        </div> --}}
                        <!--End of Search Form-->
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Mobile Menu Area start -->
    <div class="mobile-menu-area">
        <div class="container clearfix">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    <div class="mobile-menu">
                        <nav id="dropdown">
                            <ul class="container-ul">
                                <li><a href="{{route('site.home')}}">{{__('site.home')}}</a></li>

                                <li><a href="#">{{__('site.categories')}}</a>
                                    <ul class="sub-dropdown">
                                        @foreach ($categories as $item)

                                        <li><a
                                                href="{{route('site.courses-by-category',$item->slug)}}">{{$item->name}}</a>
                                        </li>
                                        @endforeach
                                    </ul>
                                </li>
                                <li><a href="{{route('site.gualleries')}}">{{__('site.gualleries')}}</a></li>
                                <li><a href="{{route('site.get-contact')}}">{{__('site.Contact')}}</a></li>
                                <li><a href="{{route('site.store')}}">{{__('site.store')}}</a></li>
                                <li><a href="#"><i class="fa fa-globe mx-1"></i>
                                        {{__('site.'.Session::get('locale'))}}
                                    </a>
                                    <ul class="">
                                        <li><a href="{{route('changelang','en')}}"> {{__('site.en')}}</a></li>
                                        <li><a href="{{route('changelang','ar')}}"> {{__('site.ar')}}</a></li>
                                    </ul>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Mobile Menu Area end -->
</header>
<!--End of Header Area-->
