<?php if (isset($component)) { $__componentOriginalbacdc7ee2ae68d90ee6340a54a5e36f99d0a3040 = $component; } ?>
<?php $component = App\View\Components\AdminLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('admin-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AdminLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startPush('style'); ?>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/vendors/css/forms/toggle/bootstrap-switch.min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/vendors/css/forms/toggle/switchery.min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/css-rtl/plugins/forms/switch.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/css-rtl/core/colors/palette-switch.css')); ?>">
    <style>
        .bootstrap-switch.bootstrap-switch-animate.bootstrap-switch-off .bootstrap-switch-handle-off {
            font-size: 12px
        }

        .bootstrap-switch .bootstrap-switch-container .bootstrap-switch-handle-on.bootstrap-switch-success {
            font-size: 17px
        }
    </style>
    <?php $__env->stopPush(); ?>
     <?php $__env->slot('title', null, []); ?> <?php echo e(__('admin.courses')); ?> <?php $__env->endSlot(); ?>
     <?php $__env->slot('activePage', null, []); ?> course <?php $__env->endSlot(); ?>
    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.card','data' => ['title' => __('admin.courses'),'type' => 'table']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['title' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(__('admin.courses')),'type' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute('table')]); ?>
         <?php $__env->slot('create_section', null, []); ?> 
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('course-create')): ?>
            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.btn-create','data' => ['href' => route('admin.courses.create')]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('btn-create'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['href' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('admin.courses.create'))]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
            <?php endif; ?>
         <?php $__env->endSlot(); ?>
        <div class="table-responsive">
            <table id="courses-list"
                class="table table-white-space table-bordered  display no-wrap icheck table-middle">
                <thead>
                    <tr>
                        <th><?php echo e(__('admin.course name')); ?></th>
                        <th><?php echo e(__('admin.category')); ?></th>
                        <th> <?php echo e(__('admin.start_date')); ?> </th>
                        <th><?php echo e(__('admin.end_date')); ?></th>
                        <th><?php echo e(__('admin.show')); ?></th>
                        <th><?php echo e(__('admin.status')); ?></th>
                        <th><?php echo e(__('admin.tutors')); ?></th>
                        <th><?php echo e(__('admin.Actions')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td>
                            <?php echo e($course->name); ?>

                        </td>
                        <td>
                            <?php echo e($course->category->name); ?>

                        </td>
                        <td>
                            <?php echo e($course->getStartDate()); ?>

                        </td>
                        <td>
                            <?php echo e($course->getEndDate()); ?>

                        </td>
                        <td>
                            <input type="checkbox" data-url="<?php echo e(route('admin.courses.show', $course->id)); ?>" name="show"
                                class="switchBootstrap change_show" data-on-text="<?php echo e(__('admin.yes')); ?>"
                                data-off-text="<?php echo e(__('admin.no')); ?>" data-on-color="success" value="1" <?php echo e($course->show ==
                            1 ? 'checked' : ''); ?>

                            data-off-color="danger" />
                        </td>
                        <td>
                            <input type="checkbox" data-url="<?php echo e(route('admin.courses.status', $course->id)); ?>"
                                name="status" class="switchBootstrap change_status" data-on-text="<?php echo e(__('admin.open')); ?>"
                                data-off-text="<?php echo e(__('admin.close')); ?>" data-on-color="success" value="open" <?php echo e($course->status == "open" ? 'checked' : ''); ?>

                            data-off-color="danger" />
                        </td>
                        <td>
                            
                            <a class="text-white btn bg-info" href="<?php echo e(route('admin.courses.tutor', $course->id)); ?>"><i
                                    class="ft-eye"></i></a>
                        </td>
                        <td>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('course-edit')): ?>
                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.btn-edit','data' => ['href' => route('admin.courses.edit', $course->id)]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('btn-edit'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['href' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('admin.courses.edit', $course->id))]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('course-delete')): ?>
                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.btn-delete','data' => ['href' => route('admin.courses.destroy', $course->id)]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('btn-delete'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['href' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('admin.courses.destroy', $course->id))]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                            <?php endif; ?>
                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>


    <?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset('admin/vendors/js/forms/toggle/bootstrap-switch.min.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('admin/vendors/js/forms/toggle/bootstrap-checkbox.min.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('admin/vendors/js/forms/toggle/switchery.min.js')); ?>" type="text/javascript"></script>
    <!-- END PAGE VENDOR JS-->
    <script src="<?php echo e(asset('admin/js/scripts/forms/switch.js')); ?>" type="text/javascript"></script>
    
    <script>
        $(document).ready(function() {
            $('.delete').click(function (e) {
                e.preventDefault();
                var customer_id = $(this).data('id')
                swal({
                    title: "<?php echo e(__('admin.are u sure')); ?>",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "<?php echo e(__('admin.no')); ?>",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "<?php echo e(__('admin.yes')); ?>",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                        this.closest('form').submit();
                        } else {
                            swal("<?php echo e(__('admin.cancel delete')); ?>", "<?php echo e(__('admin.cancelled')); ?>", "error");
                        }

                });
            });
            var self = this
            $(".change_show").bootstrapSwitch({
                onSwitchChange: function (e, state) {
                    console.log('e',e)
                    var url = e.currentTarget.dataset.url
                    swal({
                    title: "<?php echo e(__('admin.are u sure')); ?>",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "<?php echo e(__('admin.no')); ?>",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "<?php echo e(__('admin.yes')); ?>",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                    }).then(isConfirm => {
                        if (isConfirm) {
                            var show = state ? 1 : 0
                            $.ajax({
                                type: "post",
                                url: url,
                                dataType: "json",
                                data :{show},
                                success: function (response) {
                                    console.log(response)
                                    swal("<?php echo e(__('admin.Done')); ?>",response.message,"success");
                                },error:function (err){
                                    console.log(err)
                                    if (err) {
                                            swal("Oh noes!", err.responseJSON.message , "error");
                                        } else {
                                            swal.stopLoading();
                                            swal.close();
                                        }
                                }
                            });
                            } else {
                                swal("<?php echo e(__('admin.cancel change')); ?>", "<?php echo e(__('admin.change it')); ?>", "error");
                            }

                    });
                }.bind(this)
            });
            $(".change_status").bootstrapSwitch({
                onSwitchChange: function (e, state) {
                    console.log('e',e)
                    var url = e.currentTarget.dataset.url
                    swal({
                    title: "<?php echo e(__('admin.are u sure')); ?>",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "<?php echo e(__('admin.no')); ?>",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "<?php echo e(__('admin.yes')); ?>",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                    }).then(isConfirm => {
                        if (isConfirm) {
                            var status = state ? 'open' : 'close'
                            $.ajax({
                                type: "post",
                                url: url,
                                dataType: "json",
                                data :{status},
                                success: function (response) {
                                    console.log(response)
                                    swal("<?php echo e(__('admin.Done')); ?>",response.message,"success");
                                },error:function (err){
                                    console.log(err)
                                    if (err) {
                                            swal("Oh noes!", err.responseJSON.message , "error");
                                        } else {
                                            swal.stopLoading();
                                            swal.close();
                                        }
                                }
                            });
                            } else {
                                swal("<?php echo e(__('admin.cancel change')); ?>", "<?php echo e(__('admin.change it')); ?>", "error");
                            }

                    });
                }.bind(this)
            });

            // $('.tutor').click(function (e) {
            //     e.preventDefault();
            //     $('#tutor_modal').modal('open')
            //     $('#content').html(
            //         `<table id="courses-list"
            //             class="table table-white-space table-bordered  display no-wrap icheck table-middle">
            //             <thead>
            //                 <tr>
            //                     <th><?php echo e(__('admin.tutor name')); ?></th>
            //                 </tr>
            //             </thead>
            //             <tbody>
            //                 <tr>
            //                     <td></td>
            //                 </tr>
            //             </tbody>
            //         </table>`
            //     )
            // });
            /****************************************
             *       js of zero configuration        *
             ****************************************/

            $('#courses-list').DataTable({
                "language": {
                    "decimal": ",",
                    "thousands": ".",
                    "paginate": {
                        "next": '<i class="ft-chevrons-left"></i> ',
                        "previous": '<i class="ft-chevrons-right"></i> '
                    }
                },
                // dom: 'Bfrtip',
                // buttons: [
                //     {
                //         extend: 'excel',
                //         className: 'btn btn-primary ',
                //     },
                //     {
                //         extend: 'print',
                //         className: 'btn btn-primary ',
                //     },
                // ],
            });
        })
    </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalbacdc7ee2ae68d90ee6340a54a5e36f99d0a3040)): ?>
<?php $component = $__componentOriginalbacdc7ee2ae68d90ee6340a54a5e36f99d0a3040; ?>
<?php unset($__componentOriginalbacdc7ee2ae68d90ee6340a54a5e36f99d0a3040); ?>
<?php endif; ?>
<?php /**PATH C:\xampp\htdocs\kids-house\resources\views/admin/courses/index.blade.php ENDPATH**/ ?>