<!DOCTYPE html>
<html class="loading" lang="en" data-textdirection="rtl">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <?php if(isset($title)): ?>
    <title><?php echo e($title); ?></title>
    <?php endif; ?>
    <link rel="apple-touch-icon" href="<?php echo e(asset('/admin/images/ico/apple-icon-120.png')); ?>">
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('/site/img/logo.ico')); ?>">
    <link href="https://maxcdn.icons8.com/fonts/line-awesome/1.1/css/line-awesome.min.css" rel="stylesheet">
    <!-- BEGIN VENDOR CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/css-rtl/vendors.css')); ?>">
    <!-- END VENDOR CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/vendors/css/extensions/toastr.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/vendors/css/extensions/sweetalert.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/css-rtl/plugins/extensions/toastr.css')); ?>">

    <!-- BEGIN MODERN CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/css-rtl/app.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/css-rtl/custom-rtl.css')); ?>">
    <!-- END MODERN CSS-->
    <!-- BEGIN Page Level CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/css-rtl/core/menu/menu-types/vertical-menu.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/css-rtl/core/colors/palette-gradient.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/fonts/simple-line-icons/style.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/css-rtl/core/colors/palette-gradient.css')); ?>">
    <!-- END Page Level CSS-->
    <!-- BEGIN Custom CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/style-rtl.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/css/custome.css')); ?>?10">
    <!-- END Custom CSS-->
    <?php echo $__env->yieldPushContent('style'); ?>
</head>

<body class="vertical-layout vertical-menu 2-columns   menu-expanded fixed-navbar" data-open="click"
    data-menu="vertical-menu" data-col="2-columns">

    <?php echo $__env->make('admin.include.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('admin.include.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


    <!-- Page Content -->
    <main>
        <?php echo e($slot); ?>

    </main>
    <?php echo $__env->make('admin.include.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <script>
        // variables

        var api = "env('APP_URL')"+"/api";
        var url = "env('APP_URL')";
        var isLogin = false;
    </script>
    <script src="<?php echo e(asset('/admin/vendors/js/vendors.min.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('/admin/data/jvector/visitor-data.js')); ?>" type="text/javascript"></script>
    <!-- END PAGE VENDOR JS-->
    <!-- BEGIN MODERN JS-->
    <script src="<?php echo e(asset('admin/js/core/app-menu.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('/admin/js/core/app.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('/admin/js/scripts/customizer.js')); ?>" type="text/javascript"></script>
    <!-- END MODERN JS-->
    <!-- BEGIN PAGE LEVEL JS-->
    <script src="<?php echo e(asset('/admin/vendors/js/tables/datatable/datatables.min.js')); ?>" type="text/javascript"></script>

    <script type="text/javascript" src="<?php echo e(asset('/admin/vendors/js/extensions/toastr.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('/admin/vendors/js/extensions/sweetalert.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('/admin/js/scripts/tooltip/tooltip.js')); ?>"></script>
    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
        });
    </script>
    <?php echo $__env->yieldPushContent('script'); ?><?php /**PATH C:\xampp\htdocs\kids-house\resources\views/layouts/admin.blade.php ENDPATH**/ ?>