<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>

     <?php $__env->slot('title', null, []); ?> <?php echo e(__('site.cart')); ?> <?php $__env->endSlot(); ?>
     <?php $__env->slot('activePage', null, []); ?> cart <?php $__env->endSlot(); ?>
    <?php $__env->startPush('style'); ?>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/vendors/css/extensions/sweetalert.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('/site/css/cart.css')); ?>">
    <?php $__env->stopPush(); ?>
    <div class=" section-padding">

        <div class="container">
            <div class="mb-4">
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.message-session','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('message-session'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
            </div>
            <div class="row">

                <div class="col-12">
                    <form action="<?php echo e(route('site.update.cart')); ?>" id="form-table" method="post">
                        <?php echo csrf_field(); ?>
                        <table class="shop-table cart-table">
                            <thead>
                                <tr>
                                    <th class="product-name"><span><?php echo e(__('site.product')); ?></span></th>
                                    <th></th>
                                    <th class="product-price"><span><?php echo e(__('site.price')); ?></span></th>
                                    <th class="product-quantity"><span><?php echo e(__('site.quantity')); ?></span></th>
                                    <th class="product-subtotal"><span><?php echo e(__('site.subtotal')); ?></span></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if($cart != null || $cart != ''): ?>
                                <?php $__currentLoopData = $cart->details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr id="tr_<?php echo e($key); ?>">
                                    <td class="product-thumbnail">
                                        <div class="position-relative">
                                            <a href="<?php echo e(route('site.store.details',$item->product->slug)); ?>">
                                                <figure class="mb-0">
                                                    <img src="<?php echo e($item->product->image ? $item->product->getPathImage() : asset('admin/images/placeholder.png')); ?>"
                                                        alt="product" width="300" height="338">
                                                </figure>
                                            </a>
                                            
                                                <button data-index="<?php echo e($key); ?>"
                                                    data-url="<?php echo e(route('site.delete.from.cart',$item->id)); ?>"
                                                    class="btn btn-close"><i class="fa fa-times"></i></button>
                                                
                                        </div>
                                    </td>
                                    <td class="product-name">
                                        <a href="<?php echo e(route('site.store.details',$item->product->slug)); ?>">
                                            <?php echo e($item->product->name); ?>

                                        </a>
                                    </td>
                                    <td class="product-price"><span class="amount">
                                            <input type="hidden" name="id[]" value="<?php echo e($item->id); ?>">
                                            <input type="hidden" class="price_<?php echo e($key); ?>"
                                                value="<?php echo e($item->product->price); ?>">
                                            <?php echo e($item->product->price); ?></span></td>
                                    <td class="product-quantity">
                                        <div class="input-group">
                                            <input class="quantity form-control" value="<?php echo e($item->quantity); ?>"
                                                type="number" name="quantity[]" min="1" max="100000">
                                            <div data-key="<?php echo e($key); ?>" class="quantity-plus fa fa-plus"></div>
                                            <div data-key="<?php echo e($key); ?>" class="quantity-minus fa fa-minus"></div>
                                        </div>
                                    </td>
                                    <td class="product-subtotal">
                                        <span class="amount subtotal_<?php echo e($key); ?>"><?php echo e($item->quantity *
                                            $item->product->price); ?></span>

                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </form>


                    <?php if($cart != null || $cart != ''): ?>

                    <?php if(count($cart->details) > 0): ?>
                    <div class="cart-action mb-6 text-left mt-4">
                        <a href="<?php echo e(route('site.order')); ?>"
                            class="btn btn-orange btn-rounded btn-icon-left btn-shop mr-auto"><i
                                class="w-icon-long-arrow-left"></i><?php echo e(__('site.Continue Shopping')); ?></a>
                        <form action="<?php echo e(route('site.clear.cart')); ?>" class="d-inline-block" method="POST">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('DELETE'); ?>
                            <button type="submit" class="btn btn-rounded btn-course btn-clear" id="clear_cart"
                                name="clear_cart" value="Clear Cart"><?php echo e(__('site.Clear Cart')); ?></button>
                        </form>
                        <button type="submit" id="update_cart" class="btn btn-rounded btn-update btn-course disabled"
                            name="update_cart" value="Update Cart"><?php echo e(__('site.Update Cart')); ?></button>
                    </div>
                    <?php endif; ?>
                    <?php endif; ?>
                </div>
                <div class="col-12 text-center mt-5">
                    <?php if($cart == null || $cart == ''): ?>
                    <a href="<?php echo e(route('site.store')); ?>" class="btn-shopping"><?php echo e(__('site.go to shopping')); ?></a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
    <?php $__env->startPush('script'); ?>
    <script type="text/javascript" src="<?php echo e(asset('/admin/vendors/js/extensions/sweetalert.min.js')); ?>"></script>
    <script>
        $('.quantity-plus').on('click', function () {
                if ($(this).prev().val()) {
                    $(this).prev().val(+$(this).prev().val() + 1);
                    amount($(this).prev().val(),$(this).data('key'))
                }
            });
        $('.quantity-minus').on('click', function () {
            var prev = $(this).prev().prev()
            if (prev.val() > 1) {
                if (prev.val() > 1) prev.val(+prev.val() - 1);
                amount(prev.val(),$(this).data('key'))
            }
        });

        function amount(val,index){
            $('.subtotal_'+index).html(parseInt(val) * parseFloat($('.price_'+index).val()))
            $('#update_cart').removeClass('disabled');
        }

        $('#clear_cart').click(function (e) {
            e.preventDefault();
            swal({
                title: "<?php echo e(__('site.are u sure to clear cart')); ?>",
                icon: "warning",
                showCancelButton: true,
                buttons: {
                    cancel: {
                        text: "<?php echo e(__('admin.no')); ?>",
                        value: null,
                        visible: true,
                        className: "btn-danger",
                        closeModal: false,
                    },
                    confirm: {
                        text: "<?php echo e(__('admin.yes')); ?>",
                        value: true,
                        visible: true,
                        className: "btn-success",
                        closeModal: false
                    }
                }
            }).then(isConfirm => {
                if (isConfirm) {
                    this.closest('form').submit();
                    } else {
                        swal("<?php echo e(__('admin.cancel delete')); ?>", "<?php echo e(__('admin.cancelled')); ?>", "error");
                    }

            });
        });

        $('#update_cart').click(function (e) {
            e.preventDefault();
            swal({
                    title: "<?php echo e(__('admin.are u sure')); ?>",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "<?php echo e(__('admin.no')); ?>",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "<?php echo e(__('admin.yes')); ?>",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                        $('#form-table').submit()
                        } else {
                            swal("<?php echo e(__('admin.cancel proccess')); ?>", "<?php echo e(__('admin.cancelled')); ?>", "error");
                        }

                });
        });

        $('.btn-close').click(function (e) {
            e.preventDefault();
            var index = $(this).data('index')
            var url = $(this).data('url')
            swal({
                title: "<?php echo e(__('site.are u sure to delete this item')); ?>",
                icon: "warning",
                showCancelButton: true,
                buttons: {
                    cancel: {
                        text: "<?php echo e(__('admin.no')); ?>",
                        value: null,
                        visible: true,
                        className: "btn-danger",
                        closeModal: false,
                    },
                    confirm: {
                        text: "<?php echo e(__('admin.yes')); ?>",
                        value: true,
                        visible: true,
                        className: "btn-success",
                        closeModal: false
                    }
                }
            }).then(isConfirm => {
                if (isConfirm) {
                    // this.closest('form').submit();
                    $.ajax({
                        type: "delete",
                        url: url,
                        dataType: "json",
                        success: function (response) {
                            $('#tr_'+index).remove()
                            $('#count_cart').html(response.data)
                            swal(response.message, "<?php echo e(__('admin.success')); ?>", "success");
                        },error: function (err){
                            console.log(err);
                            swal(err.responseJSON.message, "<?php echo e(__('admin.faild')); ?>", "error");
                        }
                    });
                    } else {
                        swal("<?php echo e(__('admin.cancel delete')); ?>", "<?php echo e(__('admin.cancelled')); ?>", "error");
                    }

            });
        });
    </script>

    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH C:\xampp\htdocs\kids-house\resources\views/site/cart.blade.php ENDPATH**/ ?>