<?php

namespace App\Http\Middleware;

use Illuminate\Auth\Middleware\Authenticate as Middleware;

class Authenticate extends Middleware
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return string|null
     */
    protected function redirectTo($request, ...$guards)
    // protected function redirectTo($request)
    {
        if (!$request->expectsJson()) {
            // return $guard;
            if (in_array('admin', $guards))
                return route('admin.login');
            else
                return route('login');
        }
    }
}
