<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Spatie\Translatable\HasTranslations;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Team extends Model
{
    use HasFactory;

    use HasTranslations;

    public $translatable = ['descreption'];

    protected $fillable = ['title', 'descreption', 'image'];

    public function getPathImage()
    {
        if (strpos($this->image, "http") != '')
            return $this->image;
        else
            return url('public/storage/' . $this->image);
    }
}
