<?php

namespace Database\Seeders;

use App\Models\Setting;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class SettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $data = [
            ['name' => 'facebook', 'value' => 'https://www.facebook.com/'],
            ['name' => 'instegrame', 'value' => 'https://www.instagram.com/'],
            ['name' => 'linkedin', 'value' => 'https://www.linkedin.com/'],
            ['name' => 'email', 'value' => 'test@emil.com'],
            ['name' => 'phone', 'value' => '+9631111111'],

        ];

        Setting::insert($data);
    }
}
