<x-auth-layout>
    <x-slot name="title">{{ __('admin.forget password') }}</x-slot>
    <x-auth-session-status class="mb-4" :status="session('status')" />
    <form method="POST" action="{{ route('admin.password.email') }}">
        @csrf

        <div class="form-group">
            <input id="email" type="email" placeholder="{{ __('admin.E-Mail Address') }}"
                class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}"
                required autocomplete="email" autofocus>
            <x-input-error :messages="$errors->get('email')" />

        </div>

        <div class="form-group row mb-0">
            <div class="col-md-12">
                <button type="submit" class="w-100 btn btn-primary">
                    {{ __('admin.Send Password Reset Link') }}
                </button>
            </div>
        </div>
    </form>
</x-auth-layout>
