<x-guest-layout>
    <x-slot name="title">{{__('site.Confirm Password')}}</x-slot>
    <div class="login-register section-padding">
        <div class="container">
            <div class="row ">
                <div class="mx-auto col-lg-7 col-12">
                    <div class="customer-login-register">
                        <div class="login-form">
                            <div class="form-login-title">
                                <h2>{{__('site.Confirm Password')}}</h2>
                                <p class="mb-4 text-gray">
                                    {{ __('site.note confirm password') }}
                                </p>
                            </div>
                            <form method="POST" action="{{ route('password.confirm') }}">
                                @csrf

                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.Password')}} <span
                                                class="required">*</span></label></p>
                                    <input autocomplete="new-password" name="password" value="" type="password">
                                    <x-input-error :messages="$errors->get('password')" class="mt-2" />
                                </div>

                                <div class="login-submit">
                                    <button type="submit" class="button-default">{{__('site.Confirm')}}</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {{-- <div class="mb-4 text-sm text-gray-600">
        {{ __('This is a secure area of the application. Please confirm your password before continuing.') }}
    </div>

    <form method="POST" action="{{ route('password.confirm') }}">
        @csrf

        <div>
            <x-input-label for="password" :value="__('admin.Password')" />

            <x-text-input id="password" class="block mt-1 w-full" type="password" name="password" required
                autocomplete="current-password" />

            <x-input-error :messages="$errors->get('password')" class="mt-2" />
        </div>

        <div class="flex justify-end mt-4">
            <x-primary-button>
                {{ __('Confirm') }}
            </x-primary-button>
        </div>
    </form> --}}
</x-guest-layout>