<x-guest-layout>
    @push('style')
    <style>
        .text-lang {
            /* text-align: right */
        }
    </style>
    @endpush
    <x-slot name="title">{{__('site.Login')}}</x-slot>

    <!-- Session Status -->
    <x-auth-session-status class="mb-4" :status="session('status')" />

    <!--Login Register section start-->
    <div class="login-register section-padding">
        <div class="container">
            <div class="row">
                <!--Login Form Start-->
                <div class="col-lg-7 mx-auto col-12">
                    <div class="customer-login-register">

                        <div class="login-form">

                            <div class="form-register-title">
                                <h2>{{__('site.Login')}}</h2>
                            </div>

                            <form method="POST" action="{{ route('login') }}">
                                @csrf
                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.Email Address')}} <span
                                                class="required">*</span></label></p>
                                    <input class="text-lang" name="email" value="{{old('email')}}" type="email">
                                    @error('email')
                                    <span class="text-danger">{{$message}}</span>
                                    @enderror
                                </div>
                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.Password')}} <span
                                                class="required">*</span></label></p>
                                    <input class="text-lang" name="password" value="" type="password">
                                    @error('password')
                                    <span class="text-danger">{{$message}}</span>
                                    @enderror
                                </div>
                                <div class="login-submit">
                                    <button type="submit" class="button-default">{{__('site.Login')}}</button>
                                    <label>
                                        <input class="checkbox" name="rememberme" value="" type="checkbox">
                                        <span>{{__('site.Remember Me')}}</span>
                                    </label>
                                </div>
                                <div class="lost-password">
                                    @if (Route::has('password.request'))
                                    <a class="" href="{{ route('password.request') }}">
                                        {{ __('site.Forgot Your Password?') }}
                                    </a>
                                    @endif
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <!--Login Form End-->
            </div>
        </div>
    </div>
    <!--Login Register section end-->
    {{-- <form method="POST" action="{{ route('login') }}">
        @csrf

        <div>
            <x-input-label for="email" :value="__('admin.E-Mail Address')" />
            <x-text-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')" required
                autofocus />
            <x-input-error :messages="$errors->get('email')" class="mt-2 text-sm text-red-600 space-y-1" />
        </div>

        <div class="mt-4">
            <x-input-label for="password" :value="__('admin.Password')" />

            <x-text-input id="password" class="block mt-1 w-full" type="password" name="password" required
                autocomplete="current-password" />

            <x-input-error :messages="$errors->get('password')" class="mt-2 text-sm text-red-600 space-y-1" />
        </div>

        <div class="block mt-4">
            <label for="remember_me" class="inline-flex items-center">
                <input id="remember_me" type="checkbox"
                    class="rounded border-gray-300 text-indigo-600 shadow-sm focus:ring-indigo-500" name="remember">
                <span class="ml-2 text-sm text-gray-600">{{ __('Remember me') }}</span>
            </label>
        </div>

        <div class="flex items-center justify-end mt-4">
            @if (Route::has('password.request'))
            <a class="underline text-sm text-gray-600 hover:text-gray-900 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
                href="{{ route('password.request') }}">
                {{ __('Forgot your password?') }}
            </a>
            @endif

            <x-primary-button class="ml-3">
                {{ __('Log in') }}
            </x-primary-button>
        </div>
    </form> --}}
</x-guest-layout>