<x-guest-layout>
    <x-slot name="title">{{__('site.verify email')}}</x-slot>
    <div class="login-register section-padding">
        <div class="container">
            <div class="row ">
                <div class="mx-auto col-lg-7 col-12">
                    <div class="customer-login-register">
                        <div class="login-form">
                            <div class="form-login-title">
                                <h2>{{__('site.verify email')}}</h2>
                                <p class="mb-4 text-gray">
                                    {{ __('site.note verify email') }}
                                </p>
                                @if (session('status') == 'verification-link-sent')
                                <p class="mb-4 text-gray">
                                    {{ __('site.note verify email link') }}
                                </p>
                                @endif
                            </div>

                            <div class="mt-4 flex items-center justify-between">
                                <form method="POST" action="{{ route('verification.send') }}">
                                    @csrf

                                    <div class="login-submit">
                                        <button type="submit" class="button-default">{{__('site.Resend Verification
                                            Email')}}</button>
                                    </div>
                                </form>

                                <form method="POST" action="{{ route('logout') }}">
                                    @csrf

                                    <div class="login-submit">
                                        <button type="submit" class="button-secondery">
                                            {{ __('Log Out') }}
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



</x-guest-layout>