@props(['title' => '','name','value'=>null,'type' => 'text','class'=>''])
<div class="form-group  mb-2">
    @if($title)
    <label for="{{$name}}"> {{$title}}
        <span class="danger">*</span>
    </label>
    @endif
    @if($type == 'textarea')
    <textarea
        {{$attributes->merge(['accept' => ''])}} id="{{$name}}"
    class="{{$class}} form-control @error($name) is-invalid @enderror required" name="{{$name}}"> {{$value}} </textarea>
    <x-input-error :messages="$errors->get($name)" />
    @else
    <input {{$attributes->merge(['accept' => '','multiple'=>''])}} type="{{$type}}" value="{{$value}}" id="{{$name}}"
    class="{{$class}} form-control @error($name) is-invalid @enderror required" name="{{$name}}">
    <x-input-error :messages="$errors->get($name)" />
    @endif
</div>
{{-- {{$attributes->merge(['class' => 'form-control'])}} --}}