<x-app-layout>
    <x-slot name="title">{{__('site.Contact')}}</x-slot>
    <x-slot name="activePage">contact</x-slot>

    <!--Contact Form Area Start-->
    <div class="contact-form-area section-padding">
        <div class="container">
            <div class="mb-4">
                <x-message-session />
            </div>
            <div class="row">
                <div class="col-lg-4 col-md-12">
                    <h4 class="contact-title">{{__('site.contact info')}}</h4>
                    <div class="contact-text">
                        <p><span class="c-icon"><i class="zmdi zmdi-phone"></i></span>
                            <span class="c-text">{{$setting->where('name','phone')->value('value')}}</span>
                        </p>
                        <p><span class="c-icon"><i class="zmdi zmdi-email"></i></span><span
                                class="c-text">{{$setting->where('name','email')->value('value')}}</span></p>
                        <p><span class="c-icon"><i class="zmdi zmdi-pin"></i></span><span class="c-text">House 09, Road
                                32, Mohammadpur,<br>
                                Dhaka-1200, UK</span></p>
                    </div>
                    <h4 class="contact-title">{{__('site.social media')}}</h4>
                    <div class="link-social">
                        <a href="{{$setting->where('name','facebook')->value('value')}}"><i
                                class="zmdi zmdi-facebook"></i></a>
                        <a href="{{$setting->where('name','linkedin')->value('value')}}"><i
                                class="zmdi zmdi-linkedin"></i></a>
                        <a href="{{$setting->where('name','instegrame')->value('value')}}"><i
                                class="zmdi zmdi-instagram"></i></a>
                    </div>
                </div>
                <div class="col-lg-8 col-md-12">
                    <h4 class="contact-title">{{__('site.Leave us a message')}}</h4>
                    <form id="contact-form" action="{{route('site.contact')}}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-6">
                                <input type="text" name="name" placeholder="{{__('site.name')}}">
                            </div>
                            <div class="col-md-6">
                                <input type="email" name="email" placeholder="{{__('site.Email Address')}}">
                            </div>
                            <div class="col-md-12">
                                <input type="text" name="subject" placeholder="{{__('site.subject')}}">
                            </div>
                            <div class="col-md-12">
                                <textarea name="message" cols="30" rows="10"
                                    placeholder="{{__('site.Message')}}"></textarea>
                                <button type="submit" class="button-default">{{__('site.send message')}}</button>
                            </div>
                        </div>
                    </form>
                    <p class="form-messege"></p>
                </div>
            </div>
        </div>
    </div>
    <!--End of Contact Form-->
</x-app-layout>