<x-app-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/js/gallery/photo-swipe/photoswipe.css')}}">
    <link rel="stylesheet" type="text/css"
        href="{{asset('admin/vendors/js/gallery/photo-swipe/default-skin/default-skin.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('admin/css/pages/gallery.css')}}">
    @endpush
    <x-slot name="title">{{('site.guallery')}}</x-slot>
    <x-slot name="activePage">guallery</x-slot>

    {{-- <x-card :title="__('admin.gualleries')" :type="'table'">
        <x-slot name="create_section">
            @can('guallery-create')
            <x-btn-create :href="route('admin.gualleries.create')"></x-btn-create>
            @endcan
        </x-slot> --}}

        @if(isset($gualleries) && $gualleries->count() > 0)
        <div class="gallery-page section-padding">
            <div class="container">
                <div class="row grid-masonry">
                    @foreach ($gualleries as $guallery)
                    <div class="col-lg-4 col-sm-6 grid-item">
                        <div class="single-gallery mt-30">
                            <a class="image-popup" href="{{asset($guallery->getPathImage())}}">
                                <img src="{{asset($guallery->getPathImage())}}" alt="gallery">
                            </a>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
        @endif

        {{-- <div class="card">
            <div class="card-content">
                <div class="card-body">
                    <div class="contact-form-area section-padding position-relative">
                        @if(isset($gualleries) && $gualleries->count() > 0)
                        <div class="masonry-grid my-gallery mx-1" itemscope itemtype="http://schema.org/ImageGallery">
                            <div class="grid-sizer"></div>
                            @foreach ($gualleries as $guallery)
                            <div class="grid-item">
                                <figure class="card" itemprop="associatedMedia" itemscope
                                    itemtype="http://schema.org/ImageObject">
                                    <a href="{{asset($guallery->getPathImage())}}" itemprop="contentUrl"
                                        data-size="{{rand()}}x{{rand()}}">
                                        <img class="img-thumbnail w-100" src="{{asset($guallery->getPathImage())}}"
                                            itemprop="thumbnail" alt="Image description" />
                                    </a>
                                </figure>
                            </div>
                            @endforeach
                        </div>
                        @endif
                    </div>
                </div>
            </div>
        </div> --}}


        {{--
    </x-card> --}}
    @push('script')
    {{-- <script src="{{asset('admin/vendors/js/gallery/masonry/masonry.pkgd.min.js')}}" type="text/javascript">
    </script>
    <script src="{{asset('admin/vendors/js/gallery/photo-swipe/photoswipe.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/gallery/photo-swipe/photoswipe-ui-default.min.js')}}" type="text/javascript">
    </script>
    <script src="{{asset('admin/js/scripts/gallery/photo-swipe/photoswipe-script.js')}}" type="text/javascript">
        --}}


<script src="{{asset('site/js/jquery.magnific-popup.min.js')}}">
    </script>
    <script src="{{asset('site/js/imagesloaded.pkgd.min.js')}}"></script>
    <script src="{{asset('site/js/isotope.pkgd.min.js')}}"></script>
    <script>
        /*=============================================
    =             Gallery Masonry                 =
    =============================================*/

    $('.container').imagesLoaded(function () {
        var $grid = $('.grid-masonry').isotope({
            // options
            itemSelector: '.grid-item',
            percentPosition: true,
            masonry: {
                // use outer width of grid-sizer for columnWidth
                columnWidth: 1,
            },
        });
    });
    </script>
    @endpush
</x-app-layout>