<x-app-layout>
    <x-slot name="title">{{__('site.home')}}</x-slot>
    <x-slot name="activePage">home</x-slot>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('/admin/vendors/css/extensions/sweetalert.css') }}">
    @endpush
    @isset($sliders)
    <!--Slider Area Start-->
    <div class="slider-area slider-two">
        <div class="preview-2">
            <div id="nivoslider" class="slides">
                @foreach ($sliders as $slider)
                <img src="{{$slider->getPathImage() }}" alt="" title="#slider-1-caption{{$loop->index}}" />
                @endforeach
                {{-- <img src="{{asset('/site/img/slider/1.jpg')}}" alt="" title="#slider-1-caption1" />
                <img src="{{asset('/site/img/slider/2.jpg')}}" alt="" title="#slider-1-caption2" /> --}}
            </div>
            @foreach ($sliders as $slider)
            <div id="slider-1-caption{{$loop->index}}" class="nivo-html-caption nivo-caption">
                <div class="banner-content slider-2">
                    <div class="container">
                        <div class="row row-rtl">
                            <div class="col-md-6">
                                <div class="text-content-wrapper">
                                    <div class="text-content slide-2">
                                        <h1 class="title1 wow rotateInDownLeft" data-wow-duration="1000ms"
                                            data-wow-delay="0s">{{$slider->title}}</h1>
                                        <p class="sub-title wow rotateInDownLeft d-none d-lg-block"
                                            data-wow-duration="1800ms" data-wow-delay="0s"> {{ $slider->descreption }}
                                        </p>
                                        <div class="mx-auto">
                                            <div class="banner-readmore wow rotateInDownLeft" data-wow-duration="1800ms"
                                                data-wow-delay="0s">
                                                <a class="button-default" href="#">{{__('site.join us')}}</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {{-- <div id="slider-1-caption{{$loop->index}}" class="nivo-html-caption nivo-caption">
                <div class="banner-content slider-{{$loop->index}}">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="text-content-wrapper">
                                    <div class="text-content">
                                        <h1 class="title1 wow fadeInUp" data-wow-duration="2000ms" data-wow-delay="0s">
                                            {{$slider->title}}
                                        </h1>
                                        <p class="sub-title wow fadeInUp d-none d-lg-block" data-wow-duration="2900ms"
                                            data-wow-delay=".5s"> {{ $slider->descreption }} </p>
                                        <div class="banner-readmore wow fadeInUp" data-wow-duration="3600ms"
                                            data-wow-delay=".6s">
                                            <a class="button-default" href="#">{{__('site.join us')}}</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> --}}

            @endforeach
            {{-- <div id="slider-1-caption2" class="nivo-html-caption nivo-caption">
                <div class="banner-content slider-2">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="text-content-wrapper">
                                    <div class="text-content slide-2">
                                        <h1 class="title1 wow rotateInDownLeft" data-wow-duration="1000ms"
                                            data-wow-delay="0s">{{$slider->title}}</h1>
                                        <p class="sub-title wow rotateInDownLeft d-none d-lg-block"
                                            data-wow-duration="1800ms" data-wow-delay="0s"> {{ $slider->descreption }}
                                        </p>
                                        <div class="banner-readmore wow rotateInDownLeft" data-wow-duration="1800ms"
                                            data-wow-delay="0s">
                                            <a class="button-default" href="#">{{__('site.join us')}}</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> --}}
        </div>
    </div>
    <!--End of Slider Area-->
    @endisset

    <div class="categories section-padding">
        <div class="container">
            <div class="row">
                @isset($categories)
                @foreach ($categories as $category)
                @if ($categories->count() <= 3) <div class="col-12 col-md-4">
                    @else
                    <div class="col-12 col-md-3">
                        @endif
                        <a href="{{route('site.courses-by-category',$category->slug)}}">
                            <div class="box mb-5">

                                <div class="image mb-4">
                                    <img src="{{$category->getPathImage()}}" alt="">
                                </div>
                                <div class="section-title text-center">
                                    <h4 class="ttitle">
                                        {{$category->name}}
                                    </h4>
                                </div>
                            </div>
                        </a>

                    </div>
                    @endforeach
            </div>
            @endisset
        </div>
    </div>


    {{-- category with course --}}
    <section class="section-padding">
        <div class="container">
            {{-- <div class="event-title-tab-menu"> --}}
                {{-- <div class="event-title mt-40">
                    <h2 class="title">{{__('site.Courses')}}</h2>
                </div> --}}

                <div class="event-tab-menu mt-40">
                    <ul class="nav">
                        @isset($categories_with_course)
                        <li class="event-item active" data-filter="all"><button class="li">{{__('site.all')}}</button>
                        </li>
                        @foreach ($categories_with_course as $category)
                        <li class="event-item" data-filter="{{$category->getName()}}"><button
                                class="li">{{$category->name}}</button>
                        </li>
                        @endforeach
                        @endisset

                    </ul>
                </div>
            </div>
            <div class=" wow fadeInUpBig" data-wow-duration="1s" data-wow-delay="0.2s">
                @isset($categories_with_course)
                <div class="course-area ourse-page">
                    <div class="container">
                        <div class="row">
                            @foreach ($categories_with_course as $category)
                            @foreach ($category->courses as $item)
                            <div class="{{$category->getName()}} box-course col-12 col-lg-4 col-md-6">
                                <x-course :course="$item" />
                            </div>
                            @endforeach
                            @endforeach
                        </div>
                    </div>
                </div>
                @endisset
            </div>

        </div>
        </div>
    </section>
    @push('script')
    <script type="text/javascript" src="{{ asset('/admin/vendors/js/extensions/sweetalert.min.js') }}"></script>
    <script>
        // filter items on button click
        $('.register_course').click(function (e) {
            e.preventDefault();
            var url = $(this).data('url')
            var _this = $(this)
            swal({
                title: "{{__('site.are u sure to rejester in this course')}}",
                icon: "warning",
                showCancelButton: true,
                buttons: {
                    cancel: {
                        text: "{{__('admin.no')}}",
                        value: null,
                        visible: true,
                        className: "btn-danger",
                        closeModal: false,
                    },
                    confirm: {
                        text: "{{__('admin.yes')}}",
                        value: true,
                        visible: true,
                        className: "btn-success",
                        closeModal: false
                    }
                }
            }).then(isConfirm => {
                if (isConfirm) {

                        $.ajax({
                            type: "post",
                            url: url,
                            dataType: "json",
                            success: function (response) {
                                _this.parents('.register_us').html('<i class="text-white fa fa-check pt-2"></i>')
                                swal(response.message, "{{__('admin.success')}}", "success");
                            },
                            error: function(err){
                                swal(response.message, "{{__('admin.error')}}", "success");
                            }
                        });
                    } else {
                        swal("{{__('site.cancel rejester')}}", "{{__('admin.cancelled')}}", "error");
                    }

            });
        });
        $('.event-item').click(function(e) {
            e.preventDefault()
            $(this).addClass("active").siblings().removeClass("active")
            var filterValue = $(this).attr("data-filter");
            // console.log("."+filterValue)
            if(filterValue == "all")
                $(".box-course").show("1000")
            else{
                $(".box-course").not("."+filterValue).hide("1000")
                $(".box-course").filter("."+filterValue).show("1000")
            }
        });

    </script>
    @endpush
</x-app-layout>