<!--Header Area Start-->
<header>
    <?php $categories =
                                App\Models\Category::whereParentId(null)->whereStatus('active')->get(); ?>
    <div class="header-top">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-md-5 d-none d-lg-block d-md-block">
                    <span><?php echo e(__('site.Have any question')); ?> ?
                        <?php echo e(App\Models\Setting::where('name','phone')->value('value')); ?></span>
                </div>
                <div class="col-lg-5 col-md-7 col-12">
                    <div class="header-top-right">
                        <?php if(Auth::user()): ?>
                        

                        <div class="content"><a href="#"><i class="zmdi zmdi-account"></i>
                                <?php echo e(__('site.My Account')); ?>

                            </a>
                            <ul class="account-dropdown">
                                <li><a href="<?php echo e(route('profile.edit')); ?>"> <?php echo e(__('site.profile')); ?></a></li>
                                <li><a href="<?php echo e(route('profile.course')); ?>"> <?php echo e(__('site.my_course')); ?></a></li>
                            </ul>
                        </div>
                        <div class="content">
                            <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="">
                                <?php echo csrf_field(); ?>
                                

                                <a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault();
                            this.closest('form').submit();"><i class="fa fa-sign-out"></i> <?php echo e(__('site.logout')); ?> </a>
                            </form>
                        </div>
                        <?php else: ?>
                        <div class="content"><a href="<?php echo e(route('login')); ?>"><i class="zmdi zmdi-account"></i>
                                <?php echo e(__('site.Login')); ?> </a>
                        </div>
                        <div class="content"><a href="<?php echo e(route('register')); ?>"><i class="zmdi zmdi-account"></i>
                                <?php echo e(__('site.Rregister')); ?> </a>
                        </div>
                        <?php endif; ?>
                        
                        
                        <div class="content"><a class="position-relative" href="<?php echo e(route('site.cart')); ?>">
                                <?php if(Auth::user()): ?>
                                <?php
                                // $total = App\Models\Cart::where('user_id',Auth::user()->id)->value('total_count')
                                ?>
                                
                                <span id="count_cart" class="count"></span>
                                
                                <?php endif; ?>
                                <i class="zmdi zmdi-shopping-basket"></i> <?php echo e(__('site.cart')); ?>

                            </a></div>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="header-logo-menu sticker">
        <div class="container">
            <div class="row">
                <div class="col-lg-3 col-12">
                    <div class="logo">
                        <a href="<?php echo e(route('site.home')); ?>"><img width="118" src="<?php echo e(asset('/site/img/logo/logo.jpg')); ?>"
                                alt="EDUCAT"></a>
                    </div>
                </div>
                <div class="col-lg-9 col-12">
                    <div class="mainmenu-area pull-right">
                        <div class="mainmenu d-none d-lg-block">
                            <nav>
                                <ul id="nav">
                                    <li><a href="<?php echo e(route('site.home')); ?>"><?php echo e(__('site.home')); ?></a></li>

                                    <li><a href="#"><?php echo e(__('site.categories')); ?></a>
                                        <ul class="sub-menu">
                                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                            <li><a
                                                    href="<?php echo e(route('site.courses-by-category',$item->slug)); ?>"><?php echo e($item->name); ?></a>
                                            </li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </li>

                                    
                                    <li><a href="<?php echo e(route('site.gualleries')); ?>"><?php echo e(__('site.gualleries')); ?></a></li>
                                    <li><a href="<?php echo e(route('site.get-contact')); ?>"><?php echo e(__('site.Contact')); ?></a></li>
                                    <li><a href="<?php echo e(route('site.store')); ?>"><?php echo e(__('site.store')); ?></a></li>
                                    <li><a href="#"><i class="fa fa-globe mx-1"></i>
                                            <?php echo e(__('site.'.Session::get('locale'))); ?>

                                        </a>
                                        <ul class="sub-menu">
                                            <li><a href="<?php echo e(route('changelang','en')); ?>"> <?php echo e(__('site.en')); ?></a></li>
                                            <li><a href="<?php echo e(route('changelang','ar')); ?>"> <?php echo e(__('site.ar')); ?></a></li>
                                        </ul>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                        
                        <!--End of Search Form-->
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Mobile Menu Area start -->
    <div class="mobile-menu-area">
        <div class="container clearfix">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    <div class="mobile-menu">
                        <nav id="dropdown">
                            <ul class="container-ul">
                                <li><a href="<?php echo e(route('site.home')); ?>"><?php echo e(__('site.home')); ?></a></li>

                                <li><a href="#"><?php echo e(__('site.categories')); ?></a>
                                    <ul class="sub-dropdown">
                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                        <li><a
                                                href="<?php echo e(route('site.courses-by-category',$item->slug)); ?>"><?php echo e($item->name); ?></a>
                                        </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </li>
                                <li><a href="<?php echo e(route('site.gualleries')); ?>"><?php echo e(__('site.gualleries')); ?></a></li>
                                <li><a href="<?php echo e(route('site.get-contact')); ?>"><?php echo e(__('site.Contact')); ?></a></li>
                                <li><a href="<?php echo e(route('site.store')); ?>"><?php echo e(__('site.store')); ?></a></li>
                                <li><a href="#"><i class="fa fa-globe mx-1"></i>
                                        <?php echo e(__('site.'.Session::get('locale'))); ?>

                                    </a>
                                    <ul class="">
                                        <li><a href="<?php echo e(route('changelang','en')); ?>"> <?php echo e(__('site.en')); ?></a></li>
                                        <li><a href="<?php echo e(route('changelang','ar')); ?>"> <?php echo e(__('site.ar')); ?></a></li>
                                    </ul>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Mobile Menu Area end -->
</header>
<!--End of Header Area-->
<?php /**PATH C:\xampp\htdocs\kids-house\resources\views/site/include/header.blade.php ENDPATH**/ ?>