<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['data' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($setting)]); ?>
     <?php $__env->slot('title', null, []); ?> <?php echo e(__('site.Courses')); ?> <?php $__env->endSlot(); ?>
     <?php $__env->slot('activePage', null, []); ?> courses <?php $__env->endSlot(); ?>
    <?php $__env->startPush('style'); ?>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/vendors/css/extensions/toastr.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('/admin/css-rtl/plugins/extensions/toastr.css')); ?>">
    <?php $__env->stopPush(); ?>
    <!--Search Category Start-->
    <div class="search-category">
        <div class="container">
            <div class="row">
                <div class="col-lg-10 offset-lg-1 col-md-12 col-12">
                    <form action="#" id="searchCourse" data-url="<?php echo e(route('site.search.course')); ?>" method="post">
                        <div class="form-container">
                            <div class="box-select">
                                <div class="select small">
                                    <select name="category">
                                        <option value="all"><?php echo e(__('site.All Categories')); ?></option>
                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <div class="select small">
                                    <input type="date" class="date" value="<?php echo e(date('Y-m-d')); ?>" name="date"
                                        placeholder="<?php echo e(__('site.start_date')); ?>" id="">
                                </div>
                                <div class="select small">
                                    <input type="number" name="min_price" placeholder="<?php echo e($min_price); ?>" class="price"
                                        min="<?php echo e($min_price); ?>" id="">
                                </div>
                                <div class="select small">
                                    <input type="number" name="max_price" placeholder="<?php echo e($max_price); ?>" class="price"
                                        max="<?php echo e($max_price); ?>" id="">

                                </div>
                            </div>
                            
                            <button type="submit"><?php echo e(__('site.Search')); ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!--End of Search Category-->


    <div class="course-area section-padding course-page">
        <div class="container">
            <div class="row" id="loaded">
                <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-lg-4 col-md-6 col-12">
                    <?php if (isset($component)) { $__componentOriginal541dd97498dd76400e36bb15ebc47d888e5f7706 = $component; } ?>
<?php $component = App\View\Components\Course::resolve(['course' => $item] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('course'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Course::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal541dd97498dd76400e36bb15ebc47d888e5f7706)): ?>
<?php $component = $__componentOriginal541dd97498dd76400e36bb15ebc47d888e5f7706; ?>
<?php unset($__componentOriginal541dd97498dd76400e36bb15ebc47d888e5f7706); ?>
<?php endif; ?>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
            <div class="row" id="serched"></div>
        </div>
    </div>

    <?php $__env->startPush('script'); ?>
    <script type="text/javascript" src="<?php echo e(asset('/admin/vendors/js/extensions/toastr.min.js')); ?>"></script>
    <script>
        var error = "<?php echo e(__('admin.error')); ?>"
        $('#searchCourse').submit(function (e) {
                e.preventDefault();
                var url = $(this).data('url')
                var data = $(this).serialize()
                $.ajax({
                    type: "post",
                    url: url,
                    data: data,
                    dataType: "json",
                    success: function (response) {
                        $('#loaded').hide();
                        var string = ''
                        response.data.forEach(v => {
                            string += `
                            <div class="col-lg-4 col-md-6 col-12">
                                <div class="grid-hover row">
                                    <figure class="effect-lily">
                                        <img src="${v.full_path}" alt="img12" />
                                        <figcaption>
                                            <div>
                                                <h2>${v.course}</h2>
                                                <p class="date">
                                                    <span>
                                                        <span><?php echo e(__('site.Date')); ?>:</span>
                                                        <span>${v.start_date}</span>
                                                    </span>
                                                    <span class="price-section">
                                                        <span><?php echo e(__('site.price')); ?>:</span>
                                                        <span>${v.price}</span>
                                                    </span>
                                                </p>
                                            </div>
                                        </figcaption>
                                    </figure>
                                </div>
                            </div>`

                        });
                                $('#serched').html(string)
                    },
                    error: function(err){
                        console.log(err);
                        toastr.error(err.responseJSON.message, error, { "timeOut": 0, positionClass: 'toast-top-right' });
                    }
                });
            });
    </script>
    <?php $__env->stopPush(); ?>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH C:\xampp\htdocs\kids-house\resources\views/site/courses.blade.php ENDPATH**/ ?>