<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('title', null, []); ?> <?php echo e(__('site.Courses')); ?> <?php $__env->endSlot(); ?>
    <div class="course-area pt-5 course-page">
        <div class="container">
            <div class="row dir">
                <div class="col-sm-12">

                    <h3 class="mb-4"><?php echo e(__('site.all_course')); ?></h3>
                </div>
                <?php if($data != null && $data->courses_student != null && count($data->courses_student) > 0): ?>
                <div class="col-sm-8">
                    <?php $__currentLoopData = $data->courses_student; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if (isset($component)) { $__componentOriginalfc0c9bee9b862b7ef365dee461d2b9b95f6cdabb = $component; } ?>
<?php $component = App\View\Components\ListCourse::resolve(['course' => $item] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('list-course'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ListCourse::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalfc0c9bee9b862b7ef365dee461d2b9b95f6cdabb)): ?>
<?php $component = $__componentOriginalfc0c9bee9b862b7ef365dee461d2b9b95f6cdabb; ?>
<?php unset($__componentOriginalfc0c9bee9b862b7ef365dee461d2b9b95f6cdabb); ?>
<?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                <?php endif; ?>
                <div class="col-sm-4">
                    <div id="students" class="students">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php $__env->startPush('script'); ?>
    <script>
        var email = "<?php echo e(__('site.Email Address')); ?>"
        var phone = "<?php echo e(__('site.Phone')); ?>"
        $('.show-student').click(function (e) {
                e.preventDefault();
                var url = $(this).data('url')
                $.ajax({
                    type: "get",
                    url: url,
                    dataType: "json",
                    success: function (response) {
                        var string = ''
                        response.course.students.forEach(v => {
                            string += `
                            <div class="wrapper-student mb-3">
                                <div class="row">
                                    <div class="col-sm-3">
                                        <img src="${v.full_path}" alt="img12" />
                                    </div>
                                    <div class="col-sm-9">
                                        <div class="d-flex item-course">
                                            <div class="dir">
                                                <h5>${v.username}</h5>
                                                <div>
                                                    <span class="title">${email} : </span>
                                                    <span class="data">${v.email}</span>
                                                </div>
                                                <div class="dir">
                                                    <span class="title">${phone} : </span>
                                                    <span class="data">${v.phone}</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>`
                        });
                        $('#students').html(string)
                    },
                    error: function (err){

                    }
                });
            });
    </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH C:\xampp\htdocs\kids-house\resources\views/profile/my_course.blade.php ENDPATH**/ ?>