<!--Footer Widget Area Start-->
<?php $setting = App\Models\Setting::all(); ?>
<div class="footer-widget-area">
    <div class="container">
        <div class="row">
            <div class="col-lg-3 col-6">
                <div class="single-footer-widget">
                    <div class="footer-logo">
                        <a href="<?php echo e(route('site.home')); ?>"><img width="118" src="<?php echo e(asset('/site/img/logo/logo.jpg')); ?>"
                                alt=""></a>
                    </div>
                    
                    <div class="social-icons">
                        <a href="<?php echo e($setting->where('name','facebook')->value('value')); ?>"><i
                                class="zmdi zmdi-facebook"></i></a>
                        <a href="<?php echo e($setting->where('name','linkedin')->value('value')); ?>"><i
                                class="zmdi zmdi-linkedin"></i></a>
                        <a href="<?php echo e($setting->where('name','instegram')->value('value')); ?>"><i
                                class="zmdi zmdi-instagram"></i></a>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-6">
                <div class="single-footer-widget">
                    <h3><?php echo e(__('site.GET IN TOUCH')); ?></h3>
                    <?php $phone = $setting->where('name','phone')->value('value') ?>
                    <?php if($phone): ?>
                    <a href="tel:<?php echo e($phone); ?>"><i class="fa fa-phone"></i><?php echo e($phone); ?></a>
                    <?php endif; ?>
                    <?php $email = $setting->where('name','email')->value('value') ?>
                    <?php if($email): ?>
                    <span><i class="fa fa-envelope"></i><?php echo e(($email)); ?></span>
                    <?php endif; ?>
                    <?php $website = $setting->where('name','website')->value('value') ?>
                    <?php if($website): ?>
                    <span><i class="fa fa-globe"></i><?php echo e($website); ?></span>
                    <?php endif; ?>
                    
                </div>
            </div>
            <div class="col-lg-3 col-6">
                <div class="single-footer-widget">
                    <h3><?php echo e(__('site.Useful Links')); ?></h3>
                    <ul class="footer-list">
                        <li><a href="<?php echo e(route('register')); ?>"><?php echo e(__('site.Register')); ?></a></li>
                        <li><a href="<?php echo e(route('login')); ?>"><?php echo e(__('site.Login')); ?></a></li>
                        <li><a href="#"><?php echo e(__('site.certificate')); ?></a></li>
                        <li><a href="#"><?php echo __('site.Terms'); ?></a></li>
                        <li><a href="#"><?php echo e(__('site.Privacy Policy')); ?></a></li>
                        <li><a href="#"><?php echo e(__('site.FAQs')); ?></a></li>
                    </ul>
                </div>
            </div>
            <div class="col-lg-3 col-6">
                <div class="single-footer-widget">
                    <h3>Instagram</h3>
                    <div class="instagram-image">
                        <div class="footer-img">
                            <a href="#"><img src="<?php echo e(asset('/site/img/footer/1.jpg')); ?>" alt=""></a>
                        </div>
                        <div class="footer-img">
                            <a href="#"><img src="<?php echo e(asset('/site/img/footer/2.jpg')); ?>" alt=""></a>
                        </div>
                        <div class="footer-img">
                            <a href="#"><img src="<?php echo e(asset('/site/img/footer/3.jpg')); ?>" alt=""></a>
                        </div>
                        <div class="footer-img">
                            <a href="#"><img src="<?php echo e(asset('/site/img/footer/4.jpg')); ?>" alt=""></a>
                        </div>
                        <div class="footer-img">
                            <a href="#"><img src="<?php echo e(asset('/site/img/footer/5.jpg')); ?>" alt=""></a>
                        </div>
                        <div class="footer-img">
                            <a href="#"><img src="<?php echo e(asset('/site/img/footer/6.jpg')); ?>" alt=""></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--End of Footer Widget Area-->
<!--Footer Area Start-->
<footer class="footer-area">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-7 col-12">
                <span><?php echo e(__('site.Copyright')); ?> . <?php echo e(date('Y')); ?> | <?php echo e(__('site.powerd by')); ?> <a href="#">Kids</a></span>
            </div>
            <div class="col-lg-6 col-md-5 col-12">
                <div class="column-right">
                    <span><?php echo e(__('site.Privacy Policy')); ?> , <?php echo e(__('site.Terms')); ?></span>
                </div>
            </div>
        </div>
    </div>
</footer>
<!--End of Footer Area-->
<?php /**PATH C:\xampp\htdocs\kids-house\resources\views/site/include/footer.blade.php ENDPATH**/ ?>